
%if "%{?fedora}" > "4"
%define _with_mp4 1 
%endif

Summary: nonfree plugins for libtunepimp 
Name:	 libtunepimp-extras-nonfree
Version: 0.4.3
Release: 3%{?dist}

License: GPL
Group: 	 System Environment/Libraries
URL:	 http://www.musicbrainz.org/products/tunepimp/
Source:	 http://ftp.musicbrainz.org/pub/musicbrainz/libtunepimp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: readline-devel ncurses-devel
BuildRequires: zlib-devel
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: libmad-devel

%if "%{?_with_mp4:1}" == "1"
BuildRequires: libmp4v2-devel
Provides:  libtunepimp-mp4 = %{version}-%{release}
%endif

Obsoletes: libtunepimp-mp3 < %{version}-%{release}
Provides:  libtunepimp-mp3 = %{version}-%{release}

Requires: libtunepimp = %{version}


%description
%{summary}.


%prep
%setup -q -n libtunepimp-%{version}


%build
%configure \
  --disable-static \
  --disable-dependency-tracking 

make %{?_smp_mflags}


%check
# sanity check
make -C plugins/mp3
%{?_with_mp4:make -C plugins/mp4}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# delete/omit everything but the mp3 plugin
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*
rm -f  $RPM_BUILD_ROOT%{_libdir}/tunepimp/plugins/[a-l,n-z]*.tpp
rm -f  $RPM_BUILD_ROOT%{_libdir}/tunepimp/plugins/m[a-o,q-z]*.tpp
rm -f  $RPM_BUILD_ROOT%{_libdir}/tunepimp/plugins/mp[a-z]*.tpp
%{!?_with_mp4:rm -f  $RPM_BUILD_ROOT%{_libdir}/tunepimp/plugins/mp4.tpp}


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc README.LGPL COPYING
%{_libdir}/tunepimp/plugins/mp3.tpp
%{?_with_mp4:%{_libdir}/tunepimp/plugins/mp4.tpp}


%changelog
* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-3
- -mp3 -> extras-nonfree
- --with-mp4 (BR: libmp4v2-devel)

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-2
- BR: taglib-devel readline-devel ncurses-devel
- _with_mp4: include mp4 bits via libmp4v2 (optional, not included by default)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-1
- 0.4.3

* Thu Mar 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-1
- 0.4.2

* Thu Mar 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-3
- gcc41 patch

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Sat Nov 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-0.lvn.2
- BR: libmusicbrainz -> libmusicbrainz-devel
- BR: libogg-devel -> libvorbis-devel
- BR: zlib-devel

* Thu Nov 17 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-0.lvn.1
- 0.4.0

* Mon Jun 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3.0-1
- gcc4 patch
- 0.3.0 (first try)

